CMSIS-DSP: arm_biquad_cascade_df2T_init_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_biquad_cascade_df2T_init_f32.c File Reference

## Functions

void | arm_biquad_cascade_df2T_compute_coefs_f32 (uint8_t numStages, const float32_t *pCoeffs, float32_t *pComputedCoeffs)
| Compute new coefficient arrays for use in vectorized filter (Neon only). More...
void | arm_biquad_cascade_df2T_init_f32 (arm_biquad_cascade_df2T_instance_f32 *S, uint8_t numStages, const float32_t *pCoeffs, float32_t *pState)
| Initialization function for the floating-point transposed direct form II Biquad cascade filter. More...